Patchwork bb-matrix.sh: check for the existence of time

login
register
mail settings
Submitter Jeff Mitchell
Date July 26, 2011, 10:41 p.m.
Message ID <4E2F4298.3070605@ll.mit.edu>
Download mbox | patch
Permalink /patch/8617/
State New, archived
Headers show

Comments

Jeff Mitchell - July 26, 2011, 10:41 p.m.
On 07/26/2011 05:57 PM, Jeff Mitchell wrote:
> What an existential subject. The patch is quite self-explanatory.
>
> Thanks,
> Jeff

This version has a Signed-off-by line...sorry about that.

Thanks,
Jeff

Patch

From 62972e71cd952a890068a1f6b6e2234608747a1c Mon Sep 17 00:00:00 2001
From: Jeff Mitchell <jmitchell@ll.mit.edu>
Date: Tue, 26 Jul 2011 17:45:58 -0400
Subject: [PATCH] Check that the time binary is installed in /usr/bin/time when running
 bb-matrix.sh. Also fix a typo.


Signed-off-by: Jeff Mitchell <jmitchell@ll.mit.edu>
---
 scripts/contrib/bb-perf/bb-matrix.sh |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/scripts/contrib/bb-perf/bb-matrix.sh b/scripts/contrib/bb-perf/bb-matrix.sh
index b9edd5f..66bd567 100755
--- a/scripts/contrib/bb-perf/bb-matrix.sh
+++ b/scripts/contrib/bb-perf/bb-matrix.sh
@@ -18,7 +18,7 @@ 
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 #
 # DESCRIPTION
-# This script runs BB_CMD (typically building core-image-sato) for all
+# This script runs BB_CMD (typically building core-image-minimal) for all
 # combincations of BB_RANGE and PM_RANGE values. It saves off all the console
 # logs, the buildstats directories, and creates a bb-pm-runtime.dat file which
 # can be used to postprocess the results with a plotting tool, spreadsheet, etc.
@@ -32,6 +32,11 @@ 
 # Darren Hart <dvhart@linux.intel.com>
 #
 
+if [ ! -f /usr/bin/time ]; then
+  echo "The \"time\" binary was not found at /usr/bin/time -- please install it!"
+  exit 1
+fi
+
 # The following ranges are appropriate for a 4 core system with 8 logical units
 BB_RANGE="04 05 06 07 08 09 10 11 12 13 14 15 16"
 PM_RANGE="04 05 06 07 08 09 10 11 12 13 14 15 16"
@@ -48,7 +53,7 @@  TIME_STR="%e %S %U %P %c %w %R %F %M %x"
 mkdir $DATADIR
 if [ $? -ne 0 ]; then
 	echo "Failed to create $DATADIR."
-	exit 1
+	exit 2
 fi
 
 # Add a simple header
-- 
1.7.3.4